<?php
include_once '../../controllers/EstudianteController.php';

$estudianteController = new EstudianteController();

if (isset($_GET['carrera_id'])) {
    $carrera_id = $_GET['carrera_id'];
    $estudiantes = $estudianteController->listarEstudiantesPorCarrera($carrera_id);

    header('Content-Type: application/json');
    echo json_encode(['estudiantes' => $estudiantes]);
} else {
    echo json_encode(['error' => 'No carrera_id provided']);
}
?>
